PUT
/
institutions
/
cards
/
{cardId}
/
renew
Renew Card
curl --request PUT \
  --url https://sandbox-api.cardcore.cloud/institutions/cards/{cardId}/renew \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expiration": "202705",
  "renewReason": "RENEW"
}
'
{
  "statusCode": 200,
  "message": "Card damaged replacement processed successfully",
  "data": {
    "_id": "6a12fb4764e77fc7a0e2ae9d",
    "institution": "68da3e6080b90fbbb96716c9",
    "cardProgram": {
      "panPermutation": {
        "algorithm": "affine"
      },
      "_id": "68da531880b90fbbb9671b38",
      "institution": "68da3e6080b90fbbb96716c9",
      "createdBy": "68d56d8080b90fbbb9671426",
      "name": "primecard",
      "scheme": "Mastercard",
      "type": "virtual",
      "panPrefix": "0902322423",
      "panLength": 12,
      "panStart": "090232242300",
      "panEnd": "090232242399",
      "serviceCode": "601",
      "code": "000090",
      "maxExpiry": 1,
      "renewable": true,
      "channels": {
        "pos": {
          "enabled": true,
          "dailyLimit": {
            "count": 5,
            "amount": 1000000
          }
        },
        "atm": {
          "enabled": true,
          "dailyLimit": {
            "count": 5,
            "amount": 1000000
          }
        },
        "web": {
          "enabled": true,
          "dailyLimit": {
            "count": 5,
            "amount": 1000000
          }
        }
      },
      "isDeleted": false,
      "settlementConfig": {
        "schedule": "T1",
        "config": "off-us"
      },
      "issuer": 67,
      "active": true,
      "anonymous": true,
      "randomCardNumber": true,
      "allowRandomPan": true,
      "smart": true,
      "allowTips": true,
      "startDate": "2025-09-29T00:00:00.000Z",
      "endDate": "2125-09-29T00:00:00.000Z",
      "webHookConfig": {
        "type": "JSON",
        "header": "",
        "url": "https://webhook.site/ae8066df-cc1a-45e8-9302-1dcc743615b5",
        "secret": ""
      },
      "cardProgramId": 11750,
      "losesAccount": "41.001.000090",
      "issuedAccount": "11.001.000090",
      "feeAccount": "31.001.000090",
      "cardProgramUpdate": false,
      "seqNumber": "121212",
      "createdAt": "2025-09-29T09:36:24.363Z",
      "updatedAt": "2026-04-23T13:37:48.064Z",
      "bankCode": "999241",
      "panSequenceCounter": 1,
      "id": "68da531880b90fbbb9671b38"
    },
    "referenceCode": "SUPRPR21172571779628777201",
    "scheme": "Mastercard",
    "type": "virtual",
    "bin": "0902322423",
    "expiryMonth": "06",
    "expiryYear": 2029,
    "pinEnabled": true,
    "seqNumber": "001",
    "enroll2FA": true,
    "status": "active",
    "expiryDate": "2029-06-30T23:59:59.999Z",
    "account": {
      "currency": "NGN",
      "type": "00",
      "number": "7030338024",
      "bankCode": "999241"
    },
    "customer": {
      "uniqueId": "9992417030338024",
      "firstName": "Prince",
      "middleName": "",
      "lastName": "Muteh",
      "emailAddress": "[email protected]",
      "phoneNumber": "07030338024",
      "dateOfBirth": "1995-05-18T00:00:00.000Z",
      "address": {
        "line1": "University Of Maiduguri",
        "line2": "pop",
        "city": "Maiduguri",
        "state": "Borno",
        "country": "Nigeria",
        "postalCode": "600211"
      }
    },
    "cardHolderId": "sandbox-cardholder-bca4d47a-1c82-4106-8ad0-e684ccea833e",
    "lastFour": "3111",
    "pan": "506321bCETkdaW3111",
    "cvv2": "tok_dev_IJHC0dRNgVOAuB9Cp7zexH",
    "icvv": "tok_dev_BZTIuT8HqkMzWqGov7h7OS",
    "serviceCode": "601",
    "printCard": false,
    "token": "sandbox-token-65b44ad8-02b1-4e4d-a675-dd12eb30c321",
    "cvv": "tok_dev_DodbT7LKOI21V1apSA0TjS",
    "allowDigitization": true,
    "embossingName": "Prince Muteh",
    "twoFAEnrolled": false,
    "pinAttempts": 0,
    "honorific": "",
    "gender": "",
    "createdAt": "2026-05-24T13:21:11.061Z",
    "updatedAt": "2026-05-24T13:27:31.163Z",
    "hash": "7307208218A127E8E928285CAC663D1B56740F1B",
    "secureData": "Ge8NkB06KTMAfRjo5nn6o6HgfK8lfjfopP7LheGGSVWdn0DliRbSZ21TxbEle5GkJoLg5UlQzCDSvV3SRiRClME2khjHliYknoZRIlizwfM1pJAlCCipSq2/XxFVbpKDFKDb+j1Bx54ZuuLul89VtWqE/m7AiQ3Itb8z+J1Ut9ibsbkuO923ub3gnRSztpge5IACz4EjQtyOGKH/RzR+aoi5dYNnzFp+hNaowKSOmBKTGHDdumhyc4V1DuYpvTUtU1rA5BvFXtAXsFS2iLKUxe3s60/5K9hKEapSUzBzlqPXfNaEn3nmQsKyF0meKlqNX0iiquRt6PMdYr6dHvz/HQ==",
    "id": "6a12fb4764e77fc7a0e2ae9d"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string
required

Path parameter: cardId.

Body

application/json
expiration
string
required
renewReason
string
required

Response

200 - application/json

Renew Card completed successfully.

The response is of type object.